Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-5001

Overview

Vulnerability Score 9.3 9.3
CVE Id CVE-2008-5001
Last Modified 07 Mar 2011 10:13:36
Published 10 Nov 2008 09:12:56
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2008-5001

Summary

Multiple stack-based buffer overflows in multiple functions in vncviewer/FileTransfer.cpp in vncviewer for UltraVNC 1.0.2 and 1.0.4 before 01252008, when in LISTENING mode or when using the DSM plugin, allow remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via unspecified parameters, a different issue than CVE-2008-0610.

Vulnerable Systems

Application

  • Ultravnc 1.0.2

  • Ultravnc 1.0.4


References

VUPEN - ADV-2008-0486

BID - 27687

CONFIRM - http://ultravnc.svn.sourceforge.net/viewvc/ultravnc/UltraVNC%20Project%20Root/UltraVNC/vncviewer/FileTransfer.cpp?view=log#rev183

CONFIRM - http://sourceforge.net/project/shownotes.php?release_id=571174&group_id=63887

SECUNIA - 28804

CONFIRM - http://forum.ultravnc.info/viewtopic.php?p=45150#45150


Last Updated: 27 May 2016 10:48:40